Critical Vulnerability Can Allow Attackers to Hijack or Disrupt Juniper Devices


A critical vulnerability patched recently by networking and cybersecurity solutions provider Juniper Networks could allow an attacker to remotely hijack or disrupt affected devices.

The security hole, tracked as CVE-2021-0254 and affecting the Junos operating system, was discovered by Nguyễn Hoàng Thạch, aka d4rkn3ss, a researcher with Singapore-based cybersecurity company STAR Labs.

The researcher told SecurityWeek that the vulnerability, which he says is the most serious bug he has ever identified in a Juniper product, was reported to the vendor more than half a year ago.

In a security advisory published this week, Juniper said the vulnerability can be exploited by a remote, unauthenticated attacker for arbitrary code execution or to trigger a partial denial of service (DoS) condition on the targeted device. Exploitation of the vulnerability involves sending specially crafted packets to the targeted system and a sustained DoS attack could be launched by continuously sending malicious packets.

Juniper Networks patches critical Junos OS vulnerabilityAccording to Nguyễn, an attacker who successfully exploits this vulnerability can gain root access to the targeted system and then install a backdoor or configure the device “in any way they want.” The flaw can be exploited on its own and an attacker would not need to chain it with other vulnerabilities.

Attacks from the internet are possible in theory, but the vulnerable devices are typically not exposed to the internet. The researcher believes that if such a system can be reached from the internet, it is likely misconfigured.

In its advisory, Juniper explained, “The overlayd daemon handles Overlay OAM packets, such as ping and traceroute, sent to the overlay. The service runs as root by default and listens for UDP connections on port 4789. This issue results from improper buffer size validation, which can lead to a buffer overflow. Unauthenticated attackers can send specially crafted packets to trigger this vulnerability, resulting in possible remote code execution.”

The company noted that the overlays daemon runs by default on MX and ACX series routers and QFX series switches. Other platforms are vulnerable if a Virtual Extensible LAN (VXLAN) overlay network is configured.

Juniper said it had not been aware of any malicious attacks exploiting this vulnerability, but noted that an attack can be launched against default configurations.

The U.S. Cybersecurity and Infrastructure Security Agency (CISA) has advised organizations to review the Juniper advisory and take action as needed. 

Related: Lawmakers Ask NSA About Its Role in Juniper Backdoor Discovered in 2015

Related: Juniper Networks Patches Critical Vulnerabilities in Firewalls

Related: U.S. Officials Ask Juniper Networks About Investigation Into 2015 Backdoor

Related: Juniper Networks Patches Tens of Vulnerabilities

view counter

Eduard Kovacs (@EduardKovacs) is a contributing editor at SecurityWeek. He worked as a high school IT teacher for two years before starting a career in journalism as Softpedia’s security news reporter. Eduard holds a bachelor’s degree in industrial informatics and a master’s degree in computer techniques applied in electrical engineering.

Previous Columns by Eduard Kovacs:
Tags:



Don't forget to share

You may also like...

Leave a Reply

Your email address will not be published. Required fields are marked *